%define with_gcj_support 0
Name:          prefuse
Version:       0.0
Release:       %mkrel 1
Summary:       Visualization Toolkit
Group:         Development/Java
License:       BSD
Url:           http://prefuse.org/
Source0:       http://sourceforge.net/projects/prefuse/files/prefuse/beta-20071021/prefuse-beta-20071021.zip
Source1:       prefuse-beta-20071021.pom
Source2:       prefuse-demos-beta-20071021.pom
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: lucene
BuildRequires: mysql-connector-java
%if %with_gcj_support
BuildRequires: java-gcj-compat-devel
Requires:      java-gcj-compat
%endif
Requires:      jpackage-utils 
%if !%with_gcj_support
BuildArch:     noarch
%endif

%description
Prefuse supports a rich set of features for data modeling,
visualization, and interaction. It provides optimized data
structures for tables, graphs, and trees, a host of layout
and visual encoding techniques, and support for animation,
dynamic queries, integrated search, and database connectivity.
Prefuse is written in Java, using the Java 2D graphics library,
and is easily integrated into Java Swing applications or web
applets.

%package demo
Group:         Development/Java
Summary:       Examples for %{name}

%description demo
The Prefuse Visualization Toolkit

This package contains examples for %{name}

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
The Prefuse Visualization Toolkit

This package contains javadoc for %{name}

%prep
%setup -q -n prefuse-beta

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

# deprecated
rm ./src/prefuse/data/search/LuceneSearcher.java
rm ./src/prefuse/data/search/KeywordSearchTupleSet.java

%build
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath lucene mysql-connector-java junit)
CLASSPATH=$CLASSPATH:build/prefuse/classes
ant \
  -Dbuild.sysclasspath=only \
  -Dant.build.javac.source=1.4 \
  -Dant.build.javac.target=1.4 \
  all api

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -pm 644 build/prefuse.jar \
  %{buildroot}%{_javadir}/prefuse-%{version}.jar

install -pm 644 build/demos.jar \
  %{buildroot}%{_javadir}/prefuse-demos-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-prefuse.pom
%add_to_maven_depmap org.prefuse prefuse %{version} JPP prefuse
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-prefuse-demos.pom
%add_to_maven_depmap org.prefuse demos %{version} JPP prefuse-demos

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/prefuse-%{version}
cp -pr doc/api/* %{buildroot}%{_javadocdir}/prefuse-%{version}
ln -s prefuse-%{version} %{buildroot}%{_javadocdir}/prefuse

mkdir -p %{buildroot}%{_datadir}/prefuse-%{version}
cp -pr demos/prefuse/demos %{buildroot}%{_datadir}/prefuse-%{version}

%if %with_gcj_support
%{_bindir}/aot-compile-rpm
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap
%if %with_gcj_support
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %with_gcj_support
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root) 
%{_javadir}/prefuse-%{version}.jar
%{_javadir}/prefuse.jar
%{_javadir}/prefuse-demos-%{version}.jar
%{_javadir}/prefuse-demos.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%if %with_gcj_support
%{_libdir}/gcj/prefuse/prefuse*%{version}.jar.*
%endif
%doc license-prefuse.txt readme.txt

%files demo
%defattr(-,root,root)
%{_datadir}/prefuse-%{version}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/prefuse-%{version}
%{_javadocdir}/prefuse



%changelog

* Sat Nov 05 2011 dmorgan <dmorgan> 0.0-1.mga2
+ Revision: 163086
+ rebuild (emptylog)

* Sun Jun 26 2011 gil <gil> 0.0-0.mga2
+ Revision: 114021
- imported package prefuse


* Sun Jun 26 2011 gil <gil> 0.0-0.%%mkrel
- initial rpm